package org.kne.cloud.network.tun;

import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.channels.Channel;
import java.nio.channels.ReadableByteChannel;
import java.nio.channels.WritableByteChannel;

import org.kne.cloud.network.tun.WintunDriver.WintunSessionHandle;

public interface TUNChannel extends Channel, ReadableByteChannel, WritableByteChannel {
	
	@Override
	public int write(ByteBuffer src) throws IOException;

	@Override
	public int read(ByteBuffer dst) throws IOException;

	@Override
	public boolean isOpen();

	@Override
	public void close() throws IOException;

}
